package com.mortals.xhx.module.device.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.device.model.DeviceEntity;
/**
 * 设备查询对象
 *
 * @author zxfei
 * @date 2022-05-06
 */
public class DeviceQuery extends DeviceEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 开始 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背） */
    private Integer deviceTypeStart;

    /** 结束 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背） */
    private Integer deviceTypeEnd;

    /** 增加 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背） */
    private Integer deviceTypeIncrement;

    /** 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）列表 */
    private List <Integer> deviceTypeList;

    /** 设备的MAC地址 */
    private List<String> deviceMacList;

    /** 设备访问ip */
    private List<String> ipList;

    /** 中心设备编码 */
    private List<String> centernumList;

    /** 端口 */
    private List<String> portList;

    /** 站点编号 */
    private List<String> siteNumList;

    /** 开始 设备生产厂商ID */
    private Long deviceFirmIdStart;

    /** 结束 设备生产厂商ID */
    private Long deviceFirmIdEnd;

    /** 增加 设备生产厂商ID */
    private Long deviceFirmIdIncrement;

    /** 设备生产厂商ID列表 */
    private List <Long> deviceFirmIdList;

    /** 设备生产厂商名称 */
    private List<String> deviceFirmnameList;

    /** 开始 在线状态 (0.离线，1.在线) */
    private Integer deviceOnlineStatusStart;

    /** 结束 在线状态 (0.离线，1.在线) */
    private Integer deviceOnlineStatusEnd;

    /** 增加 在线状态 (0.离线，1.在线) */
    private Integer deviceOnlineStatusIncrement;

    /** 在线状态 (0.离线，1.在线)列表 */
    private List <Integer> deviceOnlineStatusList;

    /** 开始 启用状态 (0.停止，1.启用) */
    private Integer statusStart;

    /** 结束 启用状态 (0.停止，1.启用) */
    private Integer statusEnd;

    /** 增加 启用状态 (0.停止，1.启用) */
    private Integer statusIncrement;

    /** 启用状态 (0.停止，1.启用)列表 */
    private List <Integer> statusList;

    /** 开始 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它) */
    private Integer deviceSourceStart;

    /** 结束 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它) */
    private Integer deviceSourceEnd;

    /** 增加 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它) */
    private Integer deviceSourceIncrement;

    /** 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)列表 */
    private List <Integer> deviceSourceList;

    /** 备注 */
    private List<String> deviceRemarkList;

    /** 开始 最近上线时间 */
    private String onlineTimeStart;

    /** 结束 最近上线时间 */
    private String onlineTimeEnd;

    /** 开始 最近离线时间 */
    private String offlineTimeStart;

    /** 结束 最近离线时间 */
    private String offlineTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceQuery> andConditionList;

    public DeviceQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }
    /**
     * 获取 开始 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @return deviceTypeStart
     */
    public Integer getDeviceTypeStart(){
        return this.deviceTypeStart;
    }

    /**
     * 设置 开始 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeStart
     */
    public void setDeviceTypeStart(Integer deviceTypeStart){
        this.deviceTypeStart = deviceTypeStart;
    }

    /**
     * 获取 结束 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @return $deviceTypeEnd
     */
    public Integer getDeviceTypeEnd(){
        return this.deviceTypeEnd;
    }

    /**
     * 设置 结束 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeEnd
     */
    public void setDeviceTypeEnd(Integer deviceTypeEnd){
        this.deviceTypeEnd = deviceTypeEnd;
    }

    /**
     * 获取 增加 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @return deviceTypeIncrement
     */
    public Integer getDeviceTypeIncrement(){
        return this.deviceTypeIncrement;
    }

    /**
     * 设置 增加 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeIncrement
     */
    public void setDeviceTypeIncrement(Integer deviceTypeIncrement){
        this.deviceTypeIncrement = deviceTypeIncrement;
    }

    /**
     * 获取 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @return deviceTypeList
     */
    public List<Integer> getDeviceTypeList(){
        return this.deviceTypeList;
    }

    /**
     * 设置 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeList
     */
    public void setDeviceTypeList(List<Integer> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
    }

    /**
     * 获取 设备的MAC地址
     * @return deviceMacList
     */
    public List<String> getDeviceMacList(){
        return this.deviceMacList;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public void setDeviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
    }
    /**
     * 获取 设备访问ip
     * @return ipList
     */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
     * 设置 设备访问ip
     * @param ipList
     */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }
    /**
     * 获取 中心设备编码
     * @return centernumList
     */
    public List<String> getCenternumList(){
        return this.centernumList;
    }

    /**
     * 设置 中心设备编码
     * @param centernumList
     */
    public void setCenternumList(List<String> centernumList){
        this.centernumList = centernumList;
    }
    /**
     * 获取 端口
     * @return portList
     */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
     * 设置 端口
     * @param portList
     */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }
    /**
     * 获取 站点编号
     * @return siteNumList
     */
    public List<String> getSiteNumList(){
        return this.siteNumList;
    }

    /**
     * 设置 站点编号
     * @param siteNumList
     */
    public void setSiteNumList(List<String> siteNumList){
        this.siteNumList = siteNumList;
    }
    /**
     * 获取 开始 设备生产厂商ID
     * @return deviceFirmIdStart
     */
    public Long getDeviceFirmIdStart(){
        return this.deviceFirmIdStart;
    }

    /**
     * 设置 开始 设备生产厂商ID
     * @param deviceFirmIdStart
     */
    public void setDeviceFirmIdStart(Long deviceFirmIdStart){
        this.deviceFirmIdStart = deviceFirmIdStart;
    }

    /**
     * 获取 结束 设备生产厂商ID
     * @return $deviceFirmIdEnd
     */
    public Long getDeviceFirmIdEnd(){
        return this.deviceFirmIdEnd;
    }

    /**
     * 设置 结束 设备生产厂商ID
     * @param deviceFirmIdEnd
     */
    public void setDeviceFirmIdEnd(Long deviceFirmIdEnd){
        this.deviceFirmIdEnd = deviceFirmIdEnd;
    }

    /**
     * 获取 增加 设备生产厂商ID
     * @return deviceFirmIdIncrement
     */
    public Long getDeviceFirmIdIncrement(){
        return this.deviceFirmIdIncrement;
    }

    /**
     * 设置 增加 设备生产厂商ID
     * @param deviceFirmIdIncrement
     */
    public void setDeviceFirmIdIncrement(Long deviceFirmIdIncrement){
        this.deviceFirmIdIncrement = deviceFirmIdIncrement;
    }

    /**
     * 获取 设备生产厂商ID
     * @return deviceFirmIdList
     */
    public List<Long> getDeviceFirmIdList(){
        return this.deviceFirmIdList;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdList
     */
    public void setDeviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
    }

    /**
     * 获取 设备生产厂商名称
     * @return deviceFirmnameList
     */
    public List<String> getDeviceFirmnameList(){
        return this.deviceFirmnameList;
    }

    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmnameList
     */
    public void setDeviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
    }
    /**
     * 获取 开始 在线状态 (0.离线，1.在线)
     * @return deviceOnlineStatusStart
     */
    public Integer getDeviceOnlineStatusStart(){
        return this.deviceOnlineStatusStart;
    }

    /**
     * 设置 开始 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusStart
     */
    public void setDeviceOnlineStatusStart(Integer deviceOnlineStatusStart){
        this.deviceOnlineStatusStart = deviceOnlineStatusStart;
    }

    /**
     * 获取 结束 在线状态 (0.离线，1.在线)
     * @return $deviceOnlineStatusEnd
     */
    public Integer getDeviceOnlineStatusEnd(){
        return this.deviceOnlineStatusEnd;
    }

    /**
     * 设置 结束 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusEnd
     */
    public void setDeviceOnlineStatusEnd(Integer deviceOnlineStatusEnd){
        this.deviceOnlineStatusEnd = deviceOnlineStatusEnd;
    }

    /**
     * 获取 增加 在线状态 (0.离线，1.在线)
     * @return deviceOnlineStatusIncrement
     */
    public Integer getDeviceOnlineStatusIncrement(){
        return this.deviceOnlineStatusIncrement;
    }

    /**
     * 设置 增加 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusIncrement
     */
    public void setDeviceOnlineStatusIncrement(Integer deviceOnlineStatusIncrement){
        this.deviceOnlineStatusIncrement = deviceOnlineStatusIncrement;
    }

    /**
     * 获取 在线状态 (0.离线，1.在线)
     * @return deviceOnlineStatusList
     */
    public List<Integer> getDeviceOnlineStatusList(){
        return this.deviceOnlineStatusList;
    }

    /**
     * 设置 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusList
     */
    public void setDeviceOnlineStatusList(List<Integer> deviceOnlineStatusList){
        this.deviceOnlineStatusList = deviceOnlineStatusList;
    }

    /**
     * 获取 开始 启用状态 (0.停止，1.启用)
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 启用状态 (0.停止，1.启用)
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 启用状态 (0.停止，1.启用)
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 启用状态 (0.停止，1.启用)
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 启用状态 (0.停止，1.启用)
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 启用状态 (0.停止，1.启用)
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 启用状态 (0.停止，1.启用)
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 开始 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @return deviceSourceStart
     */
    public Integer getDeviceSourceStart(){
        return this.deviceSourceStart;
    }

    /**
     * 设置 开始 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceStart
     */
    public void setDeviceSourceStart(Integer deviceSourceStart){
        this.deviceSourceStart = deviceSourceStart;
    }

    /**
     * 获取 结束 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @return $deviceSourceEnd
     */
    public Integer getDeviceSourceEnd(){
        return this.deviceSourceEnd;
    }

    /**
     * 设置 结束 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceEnd
     */
    public void setDeviceSourceEnd(Integer deviceSourceEnd){
        this.deviceSourceEnd = deviceSourceEnd;
    }

    /**
     * 获取 增加 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @return deviceSourceIncrement
     */
    public Integer getDeviceSourceIncrement(){
        return this.deviceSourceIncrement;
    }

    /**
     * 设置 增加 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceIncrement
     */
    public void setDeviceSourceIncrement(Integer deviceSourceIncrement){
        this.deviceSourceIncrement = deviceSourceIncrement;
    }

    /**
     * 获取 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @return deviceSourceList
     */
    public List<Integer> getDeviceSourceList(){
        return this.deviceSourceList;
    }

    /**
     * 设置 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceList
     */
    public void setDeviceSourceList(List<Integer> deviceSourceList){
        this.deviceSourceList = deviceSourceList;
    }

    /**
     * 获取 备注
     * @return deviceRemarkList
     */
    public List<String> getDeviceRemarkList(){
        return this.deviceRemarkList;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public void setDeviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
    }
    /**
     * 获取 开始 最近上线时间
     * @return onlineTimeStart
     */
    public String getOnlineTimeStart(){
        return this.onlineTimeStart;
    }

    /**
     * 设置 开始 最近上线时间
     * @param onlineTimeStart
     */
    public void setOnlineTimeStart(String onlineTimeStart){
        this.onlineTimeStart = onlineTimeStart;
    }

    /**
     * 获取 结束 最近上线时间
     * @return onlineTimeEnd
     */
    public String getOnlineTimeEnd(){
        return this.onlineTimeEnd;
    }

    /**
     * 设置 结束 最近上线时间
     * @param onlineTimeEnd
     */
    public void setOnlineTimeEnd(String onlineTimeEnd){
        this.onlineTimeEnd = onlineTimeEnd;
    }

    /**
     * 获取 开始 最近离线时间
     * @return offlineTimeStart
     */
    public String getOfflineTimeStart(){
        return this.offlineTimeStart;
    }

    /**
     * 设置 开始 最近离线时间
     * @param offlineTimeStart
     */
    public void setOfflineTimeStart(String offlineTimeStart){
        this.offlineTimeStart = offlineTimeStart;
    }

    /**
     * 获取 结束 最近离线时间
     * @return offlineTimeEnd
     */
    public String getOfflineTimeEnd(){
        return this.offlineTimeEnd;
    }

    /**
     * 设置 结束 最近离线时间
     * @param offlineTimeEnd
     */
    public void setOfflineTimeEnd(String offlineTimeEnd){
        this.offlineTimeEnd = offlineTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }

    /**
     * 设置  设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceType
     */
    public DeviceQuery deviceType(Integer deviceType){
        setDeviceType(deviceType);
        return this;
    }

    /**
     * 设置 开始 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeStart
     */
    public DeviceQuery deviceTypeStart(Integer deviceTypeStart){
        this.deviceTypeStart = deviceTypeStart;
        return this;
    }

    /**
     * 设置 结束 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeEnd
     */
    public DeviceQuery deviceTypeEnd(Integer deviceTypeEnd){
        this.deviceTypeEnd = deviceTypeEnd;
        return this;
    }

    /**
     * 设置 增加 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeIncrement
     */
    public DeviceQuery deviceTypeIncrement(Integer deviceTypeIncrement){
        this.deviceTypeIncrement = deviceTypeIncrement;
        return this;
    }

    /**
     * 设置 设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背）
     * @param deviceTypeList
     */
    public DeviceQuery deviceTypeList(List<Integer> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
        return this;
    }


    /**
     * 设置 设备的MAC地址
     * @param deviceMac
     */
    public DeviceQuery deviceMac(String deviceMac){
        setDeviceMac(deviceMac);
        return this;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public DeviceQuery deviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
        return this;
    }


    /**
     * 设置 设备访问ip
     * @param ip
     */
    public DeviceQuery ip(String ip){
        setIp(ip);
        return this;
    }

    /**
     * 设置 设备访问ip
     * @param ipList
     */
    public DeviceQuery ipList(List<String> ipList){
        this.ipList = ipList;
        return this;
    }


    /**
     * 设置 中心设备编码
     * @param centernum
     */
    public DeviceQuery centernum(String centernum){
        setCenternum(centernum);
        return this;
    }

    /**
     * 设置 中心设备编码
     * @param centernumList
     */
    public DeviceQuery centernumList(List<String> centernumList){
        this.centernumList = centernumList;
        return this;
    }


    /**
     * 设置 端口
     * @param port
     */
    public DeviceQuery port(String port){
        setPort(port);
        return this;
    }

    /**
     * 设置 端口
     * @param portList
     */
    public DeviceQuery portList(List<String> portList){
        this.portList = portList;
        return this;
    }


    /**
     * 设置 站点编号
     * @param siteNum
     */
    public DeviceQuery siteNum(String siteNum){
        setSiteNum(siteNum);
        return this;
    }

    /**
     * 设置 站点编号
     * @param siteNumList
     */
    public DeviceQuery siteNumList(List<String> siteNumList){
        this.siteNumList = siteNumList;
        return this;
    }

    /**
     * 设置  设备生产厂商ID
     * @param deviceFirmId
     */
    public DeviceQuery deviceFirmId(Long deviceFirmId){
        setDeviceFirmId(deviceFirmId);
        return this;
    }

    /**
     * 设置 开始 设备生产厂商ID
     * @param deviceFirmIdStart
     */
    public DeviceQuery deviceFirmIdStart(Long deviceFirmIdStart){
        this.deviceFirmIdStart = deviceFirmIdStart;
        return this;
    }

    /**
     * 设置 结束 设备生产厂商ID
     * @param deviceFirmIdEnd
     */
    public DeviceQuery deviceFirmIdEnd(Long deviceFirmIdEnd){
        this.deviceFirmIdEnd = deviceFirmIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备生产厂商ID
     * @param deviceFirmIdIncrement
     */
    public DeviceQuery deviceFirmIdIncrement(Long deviceFirmIdIncrement){
        this.deviceFirmIdIncrement = deviceFirmIdIncrement;
        return this;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdList
     */
    public DeviceQuery deviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
        return this;
    }


    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmname
     */
    public DeviceQuery deviceFirmname(String deviceFirmname){
        setDeviceFirmname(deviceFirmname);
        return this;
    }

    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmnameList
     */
    public DeviceQuery deviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
        return this;
    }

    /**
     * 设置  在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatus
     */
    public DeviceQuery deviceOnlineStatus(Integer deviceOnlineStatus){
        setDeviceOnlineStatus(deviceOnlineStatus);
        return this;
    }

    /**
     * 设置 开始 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusStart
     */
    public DeviceQuery deviceOnlineStatusStart(Integer deviceOnlineStatusStart){
        this.deviceOnlineStatusStart = deviceOnlineStatusStart;
        return this;
    }

    /**
     * 设置 结束 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusEnd
     */
    public DeviceQuery deviceOnlineStatusEnd(Integer deviceOnlineStatusEnd){
        this.deviceOnlineStatusEnd = deviceOnlineStatusEnd;
        return this;
    }

    /**
     * 设置 增加 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusIncrement
     */
    public DeviceQuery deviceOnlineStatusIncrement(Integer deviceOnlineStatusIncrement){
        this.deviceOnlineStatusIncrement = deviceOnlineStatusIncrement;
        return this;
    }

    /**
     * 设置 在线状态 (0.离线，1.在线)
     * @param deviceOnlineStatusList
     */
    public DeviceQuery deviceOnlineStatusList(List<Integer> deviceOnlineStatusList){
        this.deviceOnlineStatusList = deviceOnlineStatusList;
        return this;
    }

    /**
     * 设置  启用状态 (0.停止，1.启用)
     * @param status
     */
    public DeviceQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 启用状态 (0.停止，1.启用)
     * @param statusStart
     */
    public DeviceQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 启用状态 (0.停止，1.启用)
     * @param statusEnd
     */
    public DeviceQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 启用状态 (0.停止，1.启用)
     * @param statusIncrement
     */
    public DeviceQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param statusList
     */
    public DeviceQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置  设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSource
     */
    public DeviceQuery deviceSource(Integer deviceSource){
        setDeviceSource(deviceSource);
        return this;
    }

    /**
     * 设置 开始 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceStart
     */
    public DeviceQuery deviceSourceStart(Integer deviceSourceStart){
        this.deviceSourceStart = deviceSourceStart;
        return this;
    }

    /**
     * 设置 结束 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceEnd
     */
    public DeviceQuery deviceSourceEnd(Integer deviceSourceEnd){
        this.deviceSourceEnd = deviceSourceEnd;
        return this;
    }

    /**
     * 设置 增加 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceIncrement
     */
    public DeviceQuery deviceSourceIncrement(Integer deviceSourceIncrement){
        this.deviceSourceIncrement = deviceSourceIncrement;
        return this;
    }

    /**
     * 设置 设备来源，为其它时候上线下线通过查询(0.大厅，1.其它)
     * @param deviceSourceList
     */
    public DeviceQuery deviceSourceList(List<Integer> deviceSourceList){
        this.deviceSourceList = deviceSourceList;
        return this;
    }


    /**
     * 设置 备注
     * @param deviceRemark
     */
    public DeviceQuery deviceRemark(String deviceRemark){
        setDeviceRemark(deviceRemark);
        return this;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public DeviceQuery deviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
        return this;
    }



    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeviceQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeviceQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeviceQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeviceQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeviceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}